### Function

# EDataServer xml_find_children_nodes

since: 3.38

#### Declaration [src]

    void
    e_xml_find_children_nodes (
      xmlNode* parent,
      guint count,
      ...
    )

#### Description [src]

Retrieve multiple nodes in one go, in an efficient way. It can be quicker than traversing the children of the `parent` `count` times in certain circumstances.

The variable parameters expect triple of: const gchar ns_href; const gchar name; xmlNode **out_node; where the ns_href is a namespace href the node should have set, or `NULL` for none namespace; the name is an element name to search for. The names should not be included more than once.

Available since: 3.38

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `xmlNode`

  An #xmlNode, whose children to search.

  The data is owned by the caller of the function.

`count`

  Type: `guint`

  How many nodes will be read.

`...`

  Type: ``

  Triple of arguments describing the nodes and their out variable.